com.mapinfo.midev.language.filter

## Class FilterCapabilities.Builder

- java.lang.Object
- - com.mapinfo.midev.language.filter.FilterCapabilities.Builder

Enclosing class:
  FilterCapabilities

    public static final class FilterCapabilities.Builder
    extends Object

Builder for constructing a `FilterCapabilities`.

### Constructor Summary

Constructors
Constructor and Description
`Builder()` Constructs a `FilterCapabilitiesBuilder` that is empty.
`Builder(FilterCapabilities filterCapabilities)` Constructs a `FilterCapabilitiesBuilder` from the specified `FilterCapabilities`.

### Method Summary

All Methods Instance Methods Concrete Methods
`FilterCapabilities` `build()` Returns a `FilterCapabilities` with the same state as this builder.
`AttributeFilterCapability` `getAttributeFilterCapability()` Returns the `AttributeFilterCapability`.
`BetweenFilterCapability` `getBetweenFilterCapability()` Returns the `BetweenFilterCapability`.
`DistanceFilterCapability` `getDistanceFilterCapability()` Returns the `DistanceFilterCapability`.
`DistanceToEdgeFilterCapability` `getDistanceToEdgeFilterCapability()`
`EnvelopeFilterCapability` `getEnvelopeFilterCapability()` Returns the `EnvelopeFilterCapability`.
`GeometryFilterCapability` `getGeometryFilterCapability()` Returns the `GeometryFilterCapability`.
`InListFilterCapability` `getInListFilterCapability()` Returns the `InListFilterCapability`.
`IsNullFilterCapability` `getIsNullFilterCapability()` Returns the `IsNullFilterCapability`.
`LikeFilterCapability` `getLikeFilterCapability()` Returns the `LikeFilterCapability`.
`LimitFilterCapability` `getLimitFilterCapability()` Returns the LimitFilterCapability.
`LogicalFilterCapability` `getLogicalFilterCapability()` Returns the `LogicalFilterCapability`.
`MixedSpatialAndNonSpatialFilterCapability` `getMixedSpatialAndNonSpatialFilterCapability()` Returns the `MixedSpatialAndNonSpatialFilterCapability`.
`NearestFilterCapability` `getNearestFilterCapability()` Returns the `NearestFilterCapability`.
`OffsetFilterCapability` `getOffsetFilterCapability()` Returns the OffsetFilterCapability.
`OrderByFilterCapability` `getOrderByFilterCapability()` Returns the `OrderByFilterCapability`.
`FilterCapabilities.Builder` `setAttributeFilterCapability(AttributeFilterCapability attributeFilterCapability)` Returns this `FilterCapabilitiesBuilder` after setting the `AttributeFilterCapability`.
`FilterCapabilities.Builder` `setBetweenFilterCapability(BetweenFilterCapability betweenFilterCapability)` Returns this `FilterCapabilitiesBuilder` after setting the `BetweenFilterCapability`.
`FilterCapabilities.Builder` `setDistanceFilterCapability(DistanceFilterCapability distanceFilterCapability)` Returns this `FilterCapabilitiesBuilder` after setting the `DistanceFilterCapability`.
`FilterCapabilities.Builder` `setDistanceToEdgeFilterCapability(DistanceToEdgeFilterCapability capability)`
`FilterCapabilities.Builder` `setEnvelopeFilterCapability(EnvelopeFilterCapability envelopeFilterCapability)` Returns this `FilterCapabilitiesBuilder` after setting the `EnvelopeFilterCapability`.
`FilterCapabilities.Builder` `setGeometryFilterCapability(GeometryFilterCapability geometryFilterCapability)` Returns this `FilterCapabilitiesBuilder` after setting the `GeometryFilterCapability`.
`FilterCapabilities.Builder` `setInListFilterCapability(InListFilterCapability inListFilterCapability)` Returns this `FilterCapabilitiesBuilder` after setting the `InListFilterCapability`.
`FilterCapabilities.Builder` `setIsNullFilterCapability(IsNullFilterCapability isNullFilterCapability)` Returns this `FilterCapabilitiesBuilder` after setting the `IsNullFilterCapability`.
`FilterCapabilities.Builder` `setLikeFilterCapability(LikeFilterCapability likeFilterCapability)` Returns this `FilterCapabilitiesBuilder` after setting the `LikeFilterCapability`.
`FilterCapabilities.Builder` `setLimitFilterCapability(LimitFilterCapability limitFilterCapability)` Returns this FilterCapabilitiesBuilder after setting the `LimitFilterCapability`.
`FilterCapabilities.Builder` `setLogicalFilterCapability(LogicalFilterCapability logicalFilterCapability)` Returns this `FilterCapabilitiesBuilder` after setting the `LogicalFilterCapability`.
`FilterCapabilities.Builder` `setMixedSpatialAndNonSpatialFilterCapability(MixedSpatialAndNonSpatialFilterCapability mixedSpatialAndNonSpatialFilterCapability)` Returns this `FilterCapabilitiesBuilder` after setting the `MixedSpatialAndNonSpatialFilterCapability`.
`FilterCapabilities.Builder` `setNearestFilterCapability(NearestFilterCapability nearestFilterCapability)` Returns this `FilterCapabilitiesBuilder` after setting the `NearestFilterCapability`.
`FilterCapabilities.Builder` `setOffsetFilterCapability(OffsetFilterCapability offsetFilterCapability)` Returns this FilterCapabilitiesBuilder after setting the `OffsetFilterCapability`.
`FilterCapabilities.Builder` `setOrderByFilterCapability(OrderByFilterCapability orderByFilterCapability)` Returns this FilterCapabilitiesBuilder after setting the `OrderByFilterCapability`.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

Constructs a `FilterCapabilitiesBuilder` that is empty.

#### Builder

    public Builder(FilterCapabilities filterCapabilities)

Constructs a `FilterCapabilitiesBuilder` from the specified `FilterCapabilities`.

Parameters:
  `filterCapabilities` - the FilterCapabilities to initialize the FilterCapabilitiesBuilder with.

### Method Detail

#### getAttributeFilterCapability

    public AttributeFilterCapability getAttributeFilterCapability()

Returns the `AttributeFilterCapability`.

Returns:
  the `AttributeFilterCapability`.

#### getBetweenFilterCapability

    public BetweenFilterCapability getBetweenFilterCapability()

Returns the `BetweenFilterCapability`.

Returns:
  the `BetweenFilterCapability`.

#### getDistanceFilterCapability

    public DistanceFilterCapability getDistanceFilterCapability()

Returns the `DistanceFilterCapability`.

Returns:
  the `DistanceFilterCapability`.

#### getEnvelopeFilterCapability

    public EnvelopeFilterCapability getEnvelopeFilterCapability()

Returns the `EnvelopeFilterCapability`.

Returns:
  the `EnvelopeFilterCapability`.

#### getGeometryFilterCapability

    public GeometryFilterCapability getGeometryFilterCapability()

Returns the `GeometryFilterCapability`.

Returns:
  the `GeometryFilterCapability`.

#### getInListFilterCapability

    public InListFilterCapability getInListFilterCapability()

Returns the `InListFilterCapability`.

Returns:
  the `InListFilterCapability`.

#### getIsNullFilterCapability

    public IsNullFilterCapability getIsNullFilterCapability()

Returns the `IsNullFilterCapability`.

Returns:
  the `IsNullFilterCapability`.

#### getLikeFilterCapability

    public LikeFilterCapability getLikeFilterCapability()

Returns the `LikeFilterCapability`.

Returns:
  the `LikeFilterCapability`.

#### getLogicalFilterCapability

    public LogicalFilterCapability getLogicalFilterCapability()

Returns the `LogicalFilterCapability`.

Returns:
  the `LogicalFilterCapability`.

#### getNearestFilterCapability

    public NearestFilterCapability getNearestFilterCapability()

Returns the `NearestFilterCapability`.

Returns:
  the `NearestFilterCapability`.

#### getOrderByFilterCapability

    public OrderByFilterCapability getOrderByFilterCapability()

Returns the `OrderByFilterCapability`.

Returns:
  the `OrderByFilterCapability`.

#### getLimitFilterCapability

    public LimitFilterCapability getLimitFilterCapability()

Returns the LimitFilterCapability.

Returns:
  the LimitFilterCapability.

#### getOffsetFilterCapability

    public OffsetFilterCapability getOffsetFilterCapability()

Returns the OffsetFilterCapability.

Returns:
  the OffsetFilterCapability.

#### getMixedSpatialAndNonSpatialFilterCapability

    public MixedSpatialAndNonSpatialFilterCapability getMixedSpatialAndNonSpatialFilterCapability()

Returns the `MixedSpatialAndNonSpatialFilterCapability`.

Returns:
  the `MixedSpatialAndNonSpatialFilterCapability`.

#### getDistanceToEdgeFilterCapability

    public DistanceToEdgeFilterCapability getDistanceToEdgeFilterCapability()

#### setAttributeFilterCapability

    public FilterCapabilities.Builder setAttributeFilterCapability(AttributeFilterCapability attributeFilterCapability)

Returns this `FilterCapabilitiesBuilder` after setting the `AttributeFilterCapability`.

Parameters:
  `attributeFilterCapability` - the `AttributeFilterCapability`. May be null.
Returns:
  this `FilterCapabilitiesBuilder` after setting the `AttributeFilterCapability`.

#### setBetweenFilterCapability

    public FilterCapabilities.Builder setBetweenFilterCapability(BetweenFilterCapability betweenFilterCapability)

Returns this `FilterCapabilitiesBuilder` after setting the `BetweenFilterCapability`.

Parameters:
  `betweenFilterCapability` - the `BetweenFilterCapability`. May be null.
Returns:
  this `FilterCapabilitiesBuilder` after setting the `BetweenFilterCapability`.

#### setDistanceFilterCapability

    public FilterCapabilities.Builder setDistanceFilterCapability(DistanceFilterCapability distanceFilterCapability)

Returns this `FilterCapabilitiesBuilder` after setting the `DistanceFilterCapability`.

Parameters:
  `distanceFilterCapability` - the `DistanceFilterCapability`. May be null.
Returns:
  this `FilterCapabilitiesBuilder` after setting the `DistanceFilterCapability`.

#### setEnvelopeFilterCapability

    public FilterCapabilities.Builder setEnvelopeFilterCapability(EnvelopeFilterCapability envelopeFilterCapability)

Returns this `FilterCapabilitiesBuilder` after setting the `EnvelopeFilterCapability`.

Parameters:
  `envelopeFilterCapability` - the `EnvelopeFilterCapability`. May be null.
Returns:
  this `FilterCapabilitiesBuilder` after setting the `EnvelopeFilterCapability`.

#### setGeometryFilterCapability

    public FilterCapabilities.Builder setGeometryFilterCapability(GeometryFilterCapability geometryFilterCapability)

Returns this `FilterCapabilitiesBuilder` after setting the `GeometryFilterCapability`.

Parameters:
  `geometryFilterCapability` - the `GeometryFilterCapability`. May be null.
Returns:
  this `FilterCapabilitiesBuilder` after setting the `GeometryFilterCapability`.

#### setInListFilterCapability

    public FilterCapabilities.Builder setInListFilterCapability(InListFilterCapability inListFilterCapability)

Returns this `FilterCapabilitiesBuilder` after setting the `InListFilterCapability`.

Parameters:
  `inListFilterCapability` - the `InListFilterCapability`. May be null.
Returns:
  this `FilterCapabilitiesBuilder` after setting the `InListFilterCapability`.

#### setIsNullFilterCapability

    public FilterCapabilities.Builder setIsNullFilterCapability(IsNullFilterCapability isNullFilterCapability)

Returns this `FilterCapabilitiesBuilder` after setting the `IsNullFilterCapability`.

Parameters:
  `isNullFilterCapability` - the `IsNullFilterCapability`. May be null.
Returns:
  this `FilterCapabilitiesBuilder` after setting the `IsNullFilterCapability`.

#### setLikeFilterCapability

    public FilterCapabilities.Builder setLikeFilterCapability(LikeFilterCapability likeFilterCapability)

Returns this `FilterCapabilitiesBuilder` after setting the `LikeFilterCapability`.

Parameters:
  `likeFilterCapability` - the `LikeFilterCapability`. May be null.
Returns:
  this `FilterCapabilitiesBuilder` after setting the `LikeFilterCapability`.

#### setLogicalFilterCapability

    public FilterCapabilities.Builder setLogicalFilterCapability(LogicalFilterCapability logicalFilterCapability)

Returns this `FilterCapabilitiesBuilder` after setting the `LogicalFilterCapability`.

Parameters:
  `logicalFilterCapability` - the `LogicalFilterCapability`. May be null.
Returns:
  this `FilterCapabilitiesBuilder` after setting the `LogicalFilterCapability`.

#### setNearestFilterCapability

    public FilterCapabilities.Builder setNearestFilterCapability(NearestFilterCapability nearestFilterCapability)

Returns this `FilterCapabilitiesBuilder` after setting the `NearestFilterCapability`.

Parameters:
  `nearestFilterCapability` - the `NearestFilterCapability`. May be null.
Returns:
  this `FilterCapabilitiesBuilder` after setting the `NearestFilterCapability`.

#### setOrderByFilterCapability

    public FilterCapabilities.Builder setOrderByFilterCapability(OrderByFilterCapability orderByFilterCapability)

Returns this FilterCapabilitiesBuilder after setting the `OrderByFilterCapability`.

Parameters:
  `orderByFilterCapability` - the `OrderByFilterCapability`. May be null.
Returns:
  this FilterCapabilitiesBuilder after setting the `OrderByFilterCapability`.

#### setLimitFilterCapability

    public FilterCapabilities.Builder setLimitFilterCapability(LimitFilterCapability limitFilterCapability)

Returns this FilterCapabilitiesBuilder after setting the `LimitFilterCapability`.

Parameters:
  `limitFilterCapability` - the `LimitFilterCapability`. May be null.
Returns:
  this FilterCapabilitiesBuilder after setting the `LimitFilterCapability`.

#### setOffsetFilterCapability

    public FilterCapabilities.Builder setOffsetFilterCapability(OffsetFilterCapability offsetFilterCapability)

Returns this FilterCapabilitiesBuilder after setting the `OffsetFilterCapability`.

Parameters:
  `offsetFilterCapability` - the `OffsetFilterCapability`. May be null.
Returns:
  this FilterCapabilitiesBuilder after setting the `OffsetFilterCapability`.

#### setMixedSpatialAndNonSpatialFilterCapability

    public FilterCapabilities.Builder setMixedSpatialAndNonSpatialFilterCapability(MixedSpatialAndNonSpatialFilterCapability mixedSpatialAndNonSpatialFilterCapability)

Returns this `FilterCapabilitiesBuilder` after setting the `MixedSpatialAndNonSpatialFilterCapability`.

Parameters:
  `mixedSpatialAndNonSpatialFilterCapability` - the `MixedSpatialAndNonSpatialFilterCapability`. May be null.
Returns:
  this `FilterCapabilitiesBuilder` after setting the `MixedSpatialAndNonSpatialFilterCapability`.

#### setDistanceToEdgeFilterCapability

    public FilterCapabilities.Builder setDistanceToEdgeFilterCapability(DistanceToEdgeFilterCapability capability)

#### build

    public FilterCapabilities build()

Returns a `FilterCapabilities` with the same state as this builder.

Returns:
  a `FilterCapabilities` with the same state as this builder.